"unresolvable dependencies" when installing ddclient

Questions and discussions about Indie Computing's UBOSbox
Post Reply
juliennn
Posts: 2
Joined: Tue Jan 07, 2020 4:23 pm

"unresolvable dependencies" when installing ddclient

Post by juliennn » Tue Jan 07, 2020 6:54 pm

Hello everyone,

I'm a newbie at UBOS and Linux servers in general. Just bought and installed a UBOS Box.

When trying to install ddclient package (according to UBOS doc), I get the following error :

Code: Select all

[shepherd@ubosbox ~]$ sudo pacman -S ddclient
resolving dependencies...
warning: cannot resolve "perl-io-socket-inet6", a dependency of "ddclient"
warning: cannot resolve "perl-data-validate-ip", a dependency of "ddclient"
:: The following package cannot be upgraded due to unresolvable dependencies:
      ddclient

:: Do you want to skip the above package for this upgrade? [y/N] 
y return : " there is nothing to do"
N returns :

Code: Select all

error: failed to prepare transaction (could not satisfy dependencies)
:: unable to satisfy dependency 'perl-io-socket-inet6' required by ddclient
:: unable to satisfy dependency 'perl-data-validate-ip' required by ddclient
I don't know how to install dependencies. In particular, is it possible to run apt-get on UBOS? Trying without success...

Thanks a lot for your valuable help,
Julien



j12t
Posts: 122
Joined: Tue Dec 12, 2017 9:17 pm
Contact:

Re: "unresolvable dependencies" when installing ddclient

Post by j12t » Wed Jan 08, 2020 1:11 am

This is a known problem: https://github.com/uboslinux/ubos-buildconfig/issues/75 and will be fixed in the next UBOS update. Sorry about that.

juliennn
Posts: 2
Joined: Tue Jan 07, 2020 4:23 pm

Re: "unresolvable dependencies" when installing ddclient

Post by juliennn » Wed Jan 08, 2020 10:08 pm

Thank you very much for your help.

I allow myself an additional question linked to the first one: is it possible to run an apt-get command on UBOS? Or any alternative?

Thanks !
Julien

j12t
Posts: 122
Joined: Tue Dec 12, 2017 9:17 pm
Contact:

Re: "unresolvable dependencies" when installing ddclient

Post by j12t » Thu Jan 09, 2020 5:09 am

Yes. Given UBOS is based on Arch Linux, you are looking for "pacman" (not "apt").

Arch has some documentation here: https://wiki.archlinux.org/index.php/Pacman
It applies without change.

Just make sure you know what you are doing because if you were to remove packages, or install conflicting ones, for example, your current UBOS configuration may stop functioning, and we won't be able to support you.

Post Reply